* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
}

body {
    background: #ffffff;
    color: #111;
    transition: 0.3s ease;
    min-height: 100vh;
}

.container {
    width: 90%;
    max-width: 900px;
    margin: 60px auto;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 40px;
}

button {
    padding: 10px 20px;
    border: 2px solid #111;
    background: #111;
    color: #fff;
    cursor: pointer;
    border-radius: 8px;
    transition: 0.3s;
}

button:hover {
    opacity: 0.8;
}

.cards {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

.card {
    border: 2px solid #111;
    border-radius: 12px;
    padding: 25px;
    background: #f0d1a1;
    transition: 0.3s;
}

.card h2 {
    margin-bottom: 10px;
}

/* ========= When body contain dark class name  ============ */
.dark {
    background: #111;
    color: #fff;
}

.dark .card {
    background: #edc285;
    border-color: #fff;
    color: #000;
}

.dark button {
    background: #fff;
    color: #111;
    border-color: #fff;
}